#!/bin/bash
##
## Produce a list of random files to annonate manually.
## Read truth/README.md to find out details
## Run as follows: ./produce_random.sh licendir seed

licendir=$1
seed=$2
cat $licendir/blobs-fileinfo.csv | tail -n +2 | stocat/stocat --seed $seed --probability 0.0001 > truth/fileinfo-random-$seed.csv
cat truth/fileinfo-random-$seed.csv | cut -d, -f1 > truth/filenames-random-$seed.txt
grep --file=truth/filenames-random-$seed.txt < $licendir/blobs-scancode.csv > truth/scancode-random-$seed.csv
python3 licenses_to_validate2.py --seed $seed